### Method

# Gck Builder init

#### Declaration [src]

    void
    gck_builder_init (
      GckBuilder* builder
    )

#### Description [src]

Initialize a stack allocated builder, with the default flags.

This is equivalent to initializing a builder variable with the `GCK_BUILDER_INIT` constant, or setting it to zeroed memory.

    // Equivalent ways of initializing a GckBuilder
    GckBuilder builder = GCK_BUILDER_INIT;
    GckBuilder builder2;
    GckBuilder builder3;

    gck_builder_init (&builder2);

    memset (&builder3, 0, sizeof (builder3));